<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style>
        .pink {
            background: hotpink;
            color: orangered;
        }
    </style>
</head>
<body>
<input value="Max Muster" type="text" id="firstName">
<button id="button" onclick="addTwoNumbers()">Hinzufügen</button>

<div class="div1">
    Div 1
    <div class="div2">
        Div 2
        <div class="div1">
            Div 1 in Div 2
        </div>
        <div class="div5">
            Div 5 in Div 2
        </div>
    </div>
    <div class="div5">
        Div 5
    </div>
</div>

<script>
    const firstNameInput = document.getElementById('firstName')
    const addButton = document.getElementById('button')

    const div2 = document.querySelector('.div2')
    const div1 = div2.querySelector('.div1')
    console.dir(div2)

    function addTwoNumbers(x, y) {
        console.log("adding two numbers", x, y)
        return x + y
    }
    const sum = addTwoNumbers(5, 7)
    console.log(sum)

    if(firstNameInput) {
        addButton.addEventListener('click', function () {
            div1.classList.toggle('pink')

            if (!firstNameInput.value) {
                return
            }
            console.log(firstNameInput)
            firstNameInput.value = ''
        })
    }

    /*addButton.addEventListener('click', function () {
        console.log("add event listener 2")
    })

    addButton.addEventListener('click', function () {
        console.log("add event listener 3")
    })*/
</script>
</body>
</html>
